Summary:	The Open Ticket Request System
Name:		otrs
Version:	2.1.5
Release:	2%{?dist}
License:	GPL
Group:		Applications/Internet
URL: 		http://www.otrs.org/
Source0:	ftp://ftp.otrs.org/pub/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source1:	otrs.httpd.conf

BuildArch: noarch
Requires: perl-GDGraph
Requires: mod_perl httpd mysql fetchmail procmail /usr/sbin/sendmail
Requires(pre):	%{_sbindir}/useradd httpd
Requires(preun): /sbin/service /sbin/chkconfig
Requires(post): /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service

#This package does not provide ANY perl modules
%define bogusreqs 'perl.Kernel\\|perl.HTML..Safe.'
%global reqfilt sh -c '%{__perl_requires} | %{__grep} -Ev "%{bogusreqs}"'
%global provfilt sh -c '%{__perl_provides} | %{__grep} -Ev "%{bogusreqs}"'
%define __perl_requires %{reqfilt}
%define __perl_provides %{provfilt}
%define otrsdir %{_localstatedir}/www/%{name}/ 


%description
OTRS is an Open source Ticket Request System (also well known as trouble ticket
system) with many features to manage customer telephone calls and e-mails. The
system is built to allow your support, sales, pre-sales, billing, internal IT,
helpdesk, etc. department to react quickly to inbound inquiries.

%prep
%setup -q

%build
# copy config file
cp Kernel/Config.pm.dist Kernel/Config.pm
cd Kernel/Config/ && for foo in *.dist; do cp $foo `basename $foo .dist`; done && cd ../../
chmod 644 ./Kernel/System/Web/*.pm
chmod 644 .fetchmailrc.dist
sed -i "s/# chkconfig: 2345/# chkconfig: -/" scripts/redhat-rcotrs
sed -i "s/OTRS_DB_RUNNING=1/OTRS_DB_RUNNING=0/" scripts/redhat-rcotrs-config
sed -i "s|OTRS_ROOT=/opt/|OTRS_ROOT=%{_localstatedir}/www/|" scripts/redhat-rcotrs-config
sed -i "s|/opt/|%{_localstatedir}/www/|g" INSTALL Kernel/Config/Defaults.pm Kernel/Config.pm Kernel/Config.pm.dist Kernel/Modules/Installer.pm scripts/apache2-perl-startup.pl README.webserver ./.procmailrc.dist ./bin/SetPermissions.sh ./bin/Cron.sh CHANGES README 
for foo in var/cron/*.dist; do mv $foo var/cron/`basename $foo .dist`; done
for f in ./.*.dist; do mv $f `basename $f .dist`; done

# These perl modules are not yet in extras
rm ./Kernel/System/CustomerAuth/Radius.pm
rm ./Kernel/System/Auth/Radius.pm

# Not needed
rm ./bin/Cron4Win32.pl
rm `find ./scripts/ | grep -i "suse\|apache-"`

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{otrsdir}
install -d -m 755 %{buildroot}/etc/rc.d/init.d
install -d -m 755 %{buildroot}/etc/sysconfig
install -d -m 755 %{buildroot}/etc/httpd/conf.d
install -m 755 scripts/redhat-rcotrs %{buildroot}/%{_initrddir}/otrs
install -m 644 scripts/redhat-rcotrs-config %{buildroot}/%{_sysconfdir}/sysconfig/otrs
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf
install -m 644 .*ail* %{buildroot}/%{otrsdir}
install -m 644 RELEASE %{buildroot}/%{otrsdir}/
mv [bKsv]* %{buildroot}/%{otrsdir}
chmod 755 %{buildroot}/%{otrsdir}/scripts/*pl
chmod -R 2775 %{buildroot}/%{otrsdir}/var/[alstp]*
chmod -R g+w %{buildroot}/%{otrsdir}/var/httpd
rm %{buildroot}/%{otrsdir}/scripts/redhat-*
rm -rf %{buildroot}/%{otrsdir}/Kernel/cpan-lib/[^H]*

%pre
%{_sbindir}/useradd -d %{otrsdir} -g apache -c 'OTRS System User' -r -s /sbin/nologin otrs 2> /dev/null || :

%preun
if [ $1 = 0 ]; then
	/sbin/service otrs stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del %{name} || :
fi

%post
/sbin/chkconfig --add %{name} || :
/sbin/service httpd condrestart > /dev/null 2>&1 || :

%postun
/sbin/service httpd condrestart > /dev/null 2>&1 ||:

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/otrs
%config(noreplace) %{_sysconfdir}/httpd/conf.d/otrs.conf
%{_initrddir}/%{name}
%doc doc/ README.webserver README INSTALL CHANGES COPYING CREDITS INSTALL.RedHat README.database RELEASE TODO UPGRADING
%defattr(-,apache,root,-)
%dir %{otrsdir}
%config(noreplace) %attr(0640,apache,root) %{otrsdir}/Kernel/Config.pm
%dir %{otrsdir}/Kernel/
%{otrsdir}/Kernel/Config.pm.dist
%{otrsdir}/Kernel/Config/
%{otrsdir}/Kernel/cpan-lib/
%{otrsdir}/Kernel/Language*
%{otrsdir}/Kernel/Modules/
%{otrsdir}/Kernel/Output/
%{otrsdir}/Kernel/System/
%{otrsdir}/bin
%{otrsdir}/scripts
%{otrsdir}/RELEASE
%attr(-,otrs,apache) %{otrsdir}/var
%attr(0660,otrs,apache) %{otrsdir}/.*ail*

%changelog
* Fri Apr 20 2007 Mike McGrath <mmcgrath@redhat.com> 2.1.5-2
- Added perl-GDGraph #237214

* Wed Jan 03 2007 Mike McGrath <imlinux@gmail.com> 2.0.4-5
- Using different method to remove perl modules

* Thu Sep 07 2006 Mike McGrath <imlinux@gmail.com> 2.0.4-4
- Rebuild for FC6

* Wed Mar 22 2006 Mike McGrath <imlinux@gmail.com> 2.0.4-3
- Removed bogus req's and perl provides
- Removed a number of perl packages that are provided by Fedora
- Now using %{otrsdir} macro
- Created an otrs.httpd.conf source
- Changed permissions for otrs/var/httpd

* Wed Mar 8 2006 Mike McGrath <imlinux@gmail.com> 2.0.4-2
- Major updates in permissions
- Removed perl perl-DBI perl-DBD-MySQL and perl-URI from requires
- Changed requires to /usr/sbin/sendmail
- Updated Pre to check for udpate conditions
- Removed Requires(postun)
- Removed MaxRequestsPerChild from http config
- Added RELEASE file to ~otrs.  It's required there.

* Wed Feb 1 2006 Mike McGrath <imlinux@gmail.com> 2.0.4-1
- Fedora friendly spec file

* Thu Feb 12 2003 - martin+rpm@otrs.org
- spec for RedHat 8.0 created 

